GET V1/Benchmarking.{ext}/SiteOtherDetails?eSSiteId={eSSiteId}&action={action}

This API used to get virtual site other details like building address, facility name etc.
Mandatory Fields : virtualSiteId, action.
Optional Fields : N/A.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
eSSiteId

ES Site Id Ex:121

integer

Required

action

Action Ex:ADD/EDIT

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Benchmarking.Entities.VirtualSiteOtherDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Benchmarking.Entities.VirtualSiteOtherDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "VirtualSiteOtherDetails",
  "response": {
    "virtualSiteOtherDetailsList": [
      {
        "facilityName": "sample string 1",
        "buildingAddress": "sample string 2",
        "yearBuilt": 3,
        "city": "sample string 4",
        "state": "sample string 5",
        "zip": "sample string 6"
      },
      {
        "facilityName": "sample string 1",
        "buildingAddress": "sample string 2",
        "yearBuilt": 3,
        "city": "sample string 4",
        "state": "sample string 5",
        "zip": "sample string 6"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.